__gnu_debug::_Sequence_traits< _Sequence > Struct Template Reference

`#include <safe_iterator.h>`

## Public Types

typedef _Distance_traits< typename _Sequence::iterator > | _DistTraits

## Static Public Member Functions

static _DistTraits::__type | _S_size (const _Sequence &__seq)

## Detailed Description

template<typename _Sequence>
struct __gnu_debug::_Sequence_traits< _Sequence >

Sequence traits giving the size of a container if possible.

Definition at line 82 of file safe_iterator.h.

## Member Typedef Documentation

## _DistTraits

template<typename _Sequence >

typedef _Distance_traits<typename _Sequence::iterator> __gnu_debug::_Sequence_traits< _Sequence >::_DistTraits

Definition at line 84 of file safe_iterator.h.

## Member Function Documentation

## _S_size()

template<typename _Sequence >

static _DistTraits::__type __gnu_debug::_Sequence_traits< _Sequence >::_S_size | ( | const _Sequence & | __seq | ) |

inline static

Definition at line 87 of file safe_iterator.h.

The documentation for this struct was generated from the following file:

- safe_iterator.h